'Gif2Bsv Accompanying Source Code
'Please give credit if you use this
'by aetherFox

DECLARE SUB palload (a$)
DECLARE SUB loadfile (b$, pixelno)

SCREEN 13
CLS
PRINT "Input palette file to load:"
INPUT a$
PRINT "Input bsaved file to load:"
INPUT b$
PRINT "Input offset to start loading to:"
INPUT pixelno
'For the bclogo.gif file that comes with the program, there is no pixel offset
'so you can just press enter (leave the field blank).

a$ = a$ + ".pal"
b$ = b$ + ".bsv"

IF a$ <> "" THEN CALL palload(a$)
IF b$ <> "" THEN CALL loadfile(b$, pixelno)

WHILE INKEY$ = "": WEND 'Waits for a keypress

SUB loadfile (b$, pixelno)

'BSV loading routine
'Make sure you call this AFTER your palette routine, I sometimes get errors
'when I don't.
'Small, but fast.  Copy this sub into a similar sub in your program.

DEF SEG = &HA000
BLOAD b$, pixelno
DEF SEG
END SUB

SUB palload (a$)

'Palette loading routine
'You can just copy this routine into your program

DIM pal(255, 2)
OPEN a$ FOR INPUT AS #1

FOR l = 0 TO 255
INPUT #1, s$
pal(l, 0) = INT(VAL(MID$(s$, 1, 3)))
pal(l, 1) = INT(VAL(MID$(s$, 4, 3)))
pal(l, 2) = INT(VAL(MID$(s$, 8, 3)))
OUT &H3C8, l
OUT &H3C9, pal(l, 0)
OUT &H3C9, pal(l, 1)
OUT &H3C9, pal(l, 2)
NEXT l
CLOSE #1
END SUB

